# Create sender for project

Returns a sender for a project.

Endpoint: POST /v1/projects/{projectId}/rcs/senders
Version: 1.2.91
Security: BasicAuth, BearerAuth, OAuth2Production

## Path parameters:

  - `projectId` (string, required)
    The unique ID of the project. You can find this on the Sinch Dashboard.

## Request fields (application/json):

  - `region` (string, required)
    Region sender is provisioned in.
    Enum: "BR", "EU", "US"

  - `billingCategory` (string, required)
    Billing category.
Note:
The  billing framework distinguishes between two primary categories: non-conversational and conversational.
The non-conversational category includes SINGLE_MESSAGE and BASIC_MESSAGE types which are considered functionally equivalent in the current revision.
The conversational category includes CONVERSATIONAL and CONVERSATIONAL_LEGACY types. Values BASIC_MESSAGE, SINGLE_MESSAGE and CONVERSATIONAL_LEGACY are deprecated and will be removed in a future version.
- CONVERSATIONAL: Designed for longer, more complex sessions where the user and brand exchange a series of messages.
- NON_CONVERSATIONAL: Represents a non-conversational billing category, which replaces the legacy SINGLE_MESSAGE and BASIC_MESSAGE categories. This is for agents that primarily engage in one-way (A2P) communication.
- BASIC_MESSAGE: Billing model is similar to SMS. Deprecated value, use NON_CONVERSATIONAL instead.
- CONVERSATIONAL_LEGACY: Legacy category to support the billing configuration of existing agents.  Deprecated value, use CONVERSATIONAL instead.
- SINGLE_MESSAGE: Replaces SMS with a richer messaging experience. Deprecated value, use NON_CONVERSATIONAL instead.
    Enum: "CONVERSATIONAL", "NON_CONVERSATIONAL", "BASIC_MESSAGE", "CONVERSATIONAL_LEGACY", "SINGLE_MESSAGE"

  - `useCase` (string, required)
    Use case.
    Enum: "MULTIUSE", "OTP", "PROMOTIONAL", "TRANSACTIONAL"

  - `details` (object)
    Sender details and information.

  - `details.brand` (object)
    Brand information.

  - `details.brand.name` (string)
    Brand name.

  - `details.brand.emails` (array)
    Contact emails. Field 'address' must have unique values across items.

  - `details.brand.emails.label` (string, required)
    Contact email label.

  - `details.brand.emails.address` (string, required)
    Contact email address.

  - `details.brand.phones` (array)
    Contact phone numbers. Field 'number' must have unique values across items.

  - `details.brand.phones.label` (string, required)
    Contact phone label.

  - `details.brand.phones.number` (string, required)
    Contact phone number. Must be a phone number without country code and without separators, or a valid e.164 phone number.

  - `details.brand.websites` (array)
    Contact websites. Field 'url' must have unique values across items.

  - `details.brand.websites.label` (string, required)
    Contact website label.

  - `details.brand.websites.url` (string, required)
    Contact website address.

  - `details.brand.color` (string)
    Brand color (HEX code).

  - `details.brand.description` (string)
    Brand description.

  - `details.brand.bannerUrl` (string)
    Brand banner url.
- Supported mime types: image/jpeg or image/png.
- Maximum file size: 200KB.
- Exact image dimensions: 1440 x 448 px.

  - `details.brand.logoUrl` (string)
    Brand logo url.
- Supported mime types: image/jpeg or image/png.
- Maximum file size: 50KB.
- Exact image dimensions: 224 x 224 px.

  - `details.brand.privacyPolicyUrl` (string)
    Privacy Policy URL.

  - `details.brand.termsOfServiceUrl` (string)
    Terms & Conditions URL.

  - `details.testNumbers` (array)
    Phone numbers for testing. An agent can send 20 tester requests each day with a total maximum of 200 tester requests.

  - `details.countries` (array)
    List of two-letter country codes in ISO 3166 standard, specifying the countries to launch RCS sender in.

  - `details.questionnaire` (object)
    Launch questionnaire.

  The launch questionnaire is based on information required by different Suppliers and Operators. As such, especially the country specific, may be subject to change.

  - `details.questionnaire.general` (object)
    General launch questions

  - `details.questionnaire.general.answers` (object, required)
    Launch answers

  - `details.questionnaire.general.answers.optInDescription` (string)
    How you obtain opt-in to message users.

  - `details.questionnaire.general.answers.optInDescriptionMetadata` (object)
    Metadata for specified answer.

  - `details.questionnaire.general.answers.optInDescriptionMetadata.ignore` (string)
    Ignore given string on launch, e.g. custom delimiter.

  - `details.questionnaire.general.answers.triggerDescription` (string)
    Actions that triggers messages to users.

  - `details.questionnaire.general.answers.triggerDescriptionMetadata` (object)
    Metadata for specified answer.

  - `details.questionnaire.general.answers.triggerDescriptionMetadata.ignore` (string)
    Ignore given string on launch, e.g. custom delimiter.

  - `details.questionnaire.general.answers.interactionsDescription` (string)
    Interactions with users.

  - `details.questionnaire.general.answers.interactionsDescriptionMetadata` (object)
    Metadata for specified answer.

  - `details.questionnaire.general.answers.interactionsDescriptionMetadata.ignore` (string)
    Ignore given string on launch, e.g. custom delimiter.

  - `details.questionnaire.general.answers.optOutDescription` (string)
    The message the sender sends when a user opts out.

  - `details.questionnaire.general.answers.optOutDescriptionMetadata` (object)
    Metadata for specified answer.

  - `details.questionnaire.general.answers.optOutDescriptionMetadata.ignore` (string)
    Ignore given string on launch, e.g. custom delimiter.

  - `details.questionnaire.general.answers.videoUris` (array)
    Publicly available URIs for videos of the sender, for review purposes only.

  - `details.questionnaire.general.answers.screenshotUris` (array)
    Publicly available URIs for screenshots of the sender, for review purposes only.

  - `details.questionnaire.verification` (object)
    Verification questions.

  - `details.questionnaire.verification.answers` (object, required)
    Verification answers.

  - `details.questionnaire.verification.answers.name` (string)
    Name of verification contact.

  - `details.questionnaire.verification.answers.email` (string)
    Email of verification contact.

  - `details.questionnaire.verification.answers.title` (string)
    Title of verification contact.

  - `details.questionnaire.verification.answers.website` (string)
    Website of verification contact.

  - `details.questionnaire.verification.answers.phone` (string)
    Phone number of verification contact.

  - `details.questionnaire.gb` (object)
    Launch questions specific for UK.

  - `details.questionnaire.gb.answers` (object, required)
    Launch answers specific for UK.

  - `details.questionnaire.gb.answers.brandIndustry` (string)
    Sector or industry of business. Not required for create, but required for launch.

  - `details.questionnaire.gb.answers.companyLegalName` (string)
    The registered legal name of the company. Not required for create, but required for launch.

  - `details.questionnaire.gb.answers.companyRegistrationNumber` (string)
    The company registration number.

  - `details.questionnaire.gb.answers.fullCompanyAddress` (string)
    Full company address.

  - `details.questionnaire.gb.answers.fullCompanyAddressMetadata` (object)
    Metadata for specified answer.

  - `details.questionnaire.gb.answers.fullCompanyAddressMetadata.ignore` (string)
    Ignore given string on launch, e.g. custom delimiter.

  - `details.questionnaire.gb.answers.messagesVolume` (string)
    Messages volume. Not required for create, but required for launch.

  - `details.questionnaire.gb.answers.messagesFrequency` (string)
    Messages frequency.

  - `details.questionnaire.gb.answers.campaignLength` (string)
    Length of campaign.

  - `details.questionnaire.fr` (object)
    Launch questions specific for France.

  - `details.questionnaire.fr.answers` (object, required)
    Launch answers specific for France.

  - `details.questionnaire.fr.answers.fullCompanyAddress` (string)
    Full company address.

  - `details.questionnaire.fr.answers.fullCompanyAddressMetadata` (object)
    Metadata for specified answer.

  - `details.questionnaire.fr.answers.fullCompanyAddressMetadata.ignore` (string)
    Ignore given string on launch, e.g. custom delimiter.

  - `details.questionnaire.fr.answers.siren` (string)
    Company directory identification system number.

  - `details.questionnaire.us` (object)
    Launch questions specific for US.

  - `details.questionnaire.us.answers` (array, required) — one of:
    Launch answers specific for US.
    - RcsUsPublicBrandCampaignSenderDetailsQuestionnaireUSAnswersInputDto:
      - `ownershipType` (string, required)
        Ownership type of the company. Not required for create, but required for launch.
        Enum: "PRIVATE", "PUBLIC"
      - `companyLegalName` (string, required)
        The registered legal name of the company. Not required for create, but required for launch.
      - `companyPhoneNumber` (string, required)
        The registered phone number of the company. Not required for create, but required for launch.
      - `brandName` (string, required)
        Brand name or Doing Business As (DBA). Must be legally associated with the provided legal company name. Not required for create, but required for launch.
      - `brandIndustry` (string, required)
        Sector or industry of business. Not required for create, but required for launch.
        Enum: "AGRICULTURE", "COMMUNICATION", "CONSTRUCTION", "EDUCATION", "ENERGY", "ENTERTAINMENT", "FINANCIAL", "GAMBLING", "GOVERNMENT", "HEALTHCARE", "HOSPITALITY", "HUMAN_RESOURCES", "INSURANCE", "LEGAL", "MANUFACTURING", "NON_GOVERNMENTAL_ORGANIZATION", "POLITICAL", "POSTAL", "PROFESSIONAL", "REAL_ESTATE", "RETAIL", "TECHNOLOGY", "TRANSPORTATION"
      - `legalForm` (string, required)
        Legal form of the company. For ownershipType=PUBLIC only CORPORATION is allowed. For ownershipType=PRIVATE allowed values are LIMITED_LIABILITY_COMPANY, PARTNERSHIP, and S_CORPORATION. Not required for create, but required for launch.
        Enum: "CORPORATION", "LIMITED_LIABILITY_COMPANY", "PARTNERSHIP", "S_CORPORATION"
      - `taxIdCountry` (string, required)
        Country of the company's tax registration. This value controls conditional validation for taxId and addressState. Not required for create, but required for launch.
        Enum: "AT", "BE", "BR", "CA", "CZ", "DK", "FI", "FR", "DE", "GR", "HU", "IT", "MX", "NL", "NO", "PE", "PL", "PT", "SG", "SK", "ES", "SE", "US", "GB"
      - `taxId` (string, required)
        Tax registration identifier associated with the provided legal company name. For US taxIdCountry it must follow format XX-XXXXXXX (example: 12-3456789). For non-US taxIdCountry it is validated as a generic string up to 25 characters. Not required for create, but required for launch.
      - `addressLine` (string, required)
        Street address line. Not required for create, but required for launch.
      - `addressCity` (string, required)
        City. Not required for create, but required for launch.
      - `addressCountry` (string, required)
        Country. Not required for create, but required for launch.
        Enum: same as `taxIdCountry` in "RcsUsPublicBrandCampaignSenderDetailsQuestionnaireUSAnswersInputDto" (24 values)
      - `addressPostalCode` (string, required)
        Postal code. Not required for create, but required for launch.
      - `websiteUrl` (string, required)
        Primary website URL. Not required for create, but required for launch.
      - `contactFirstName` (string, required)
        First name of the responsible contact person. Not required for create, but required for launch.
      - `contactSurname` (string, required)
        Surname of the responsible contact person. Not required for create, but required for launch.
      - `sampleMessages` (array, required)
        Sample messages for each use case or message type sent by the brand. Not required for create, but required for launch.
      - `messagesVolume` (number, required)
        Messages volume. Not required for create, but required for launch.
      - `embeddedLink` (boolean, required)
        Flag indicating if URL links will be embedded within message payloads. Not required for create, but required for launch.
      - `embeddedPhone` (boolean, required)
        Flag indicating if phone numbers will be embedded within message payloads. Not required for create, but required for launch.
      - `ageGatedContent` (boolean, required)
        Indicates if the campaign content is restricted by age (e.g., alcohol, tobacco). Not required for create, but required for launch.
      - `directLending` (boolean, required)
        Indicates if the campaign involves direct financial lending, requiring stricter compliance. Not required for create, but required for launch.
      - `optInConfirmationMessage` (string, required)
        Opt-in confirmation message sent to users. Not required for create, but required for launch.
      - `helpMessage` (string, required)
        Help message of the campaign. Not required for create, but required for launch.
      - `callToActionMessage` (string, required)
        Call to action message of the campaign. Not required for create, but required for launch.
      - `addressState` (string, required)
        State (US only). Validated when taxIdCountry=US and ignored for non-US taxIdCountry.
        Enum: "AK", "AL", "AR", "AS", "AZ", "CA", "CO", "CT", "DC", "DE", "FL", "GA", "GU", "HI", "IA", "ID", "IL", "IN", "KS", "KY", "LA", "MA", "MD", "ME", "MI", "MN", "MO", "MP", "MS", "MT", "NC", "ND", "NE", "NH", "NJ", "NM", "NV", "NY", "OH", "OK", "OR", "PA", "PR", "RI", "SC", "SD", "TN", "TX", "UT", "VA", "VI", "VT", "WA", "WI", "WV", "WY"
      - `stockExchange` (string, required)
        Primary home country stock exchange abbreviation. Validated when ownershipType=PUBLIC.
      - `stockSymbol` (string, required)
        Primary home country stock symbol associated with stock exchange. Validated when ownershipType=PUBLIC.
    - RcsUsPrivateBrandCampaignSenderDetailsQuestionnaireUSAnswersInputDto:
      - `ownershipType` (string, required)
        Ownership type of the company. Not required for create, but required for launch.
        Enum: same as `ownershipType` in "RcsUsPublicBrandCampaignSenderDetailsQuestionnaireUSAnswersInputDto" (2 values)
      - `companyLegalName` (string, required)
        The registered legal name of the company. Not required for create, but required for launch.
      - `companyPhoneNumber` (string, required)
        The registered phone number of the company. Not required for create, but required for launch.
      - `brandName` (string, required)
        Brand name or Doing Business As (DBA). Must be legally associated with the provided legal company name. Not required for create, but required for launch.
      - `brandIndustry` (string, required)
        Sector or industry of business. Not required for create, but required for launch.
        Enum: same as `brandIndustry` in "RcsUsPublicBrandCampaignSenderDetailsQuestionnaireUSAnswersInputDto" (23 values)
      - `legalForm` (string, required)
        Legal form of the company. For ownershipType=PUBLIC only CORPORATION is allowed. For ownershipType=PRIVATE allowed values are LIMITED_LIABILITY_COMPANY, PARTNERSHIP, and S_CORPORATION. Not required for create, but required for launch.
        Enum: same as `legalForm` in "RcsUsPublicBrandCampaignSenderDetailsQuestionnaireUSAnswersInputDto" (4 values)
      - `taxIdCountry` (string, required)
        Country of the company's tax registration. This value controls conditional validation for taxId and addressState. Not required for create, but required for launch.
        Enum: same as `taxIdCountry` in "RcsUsPublicBrandCampaignSenderDetailsQuestionnaireUSAnswersInputDto" (24 values)
      - `taxId` (string, required)
        Tax registration identifier associated with the provided legal company name. For US taxIdCountry it must follow format XX-XXXXXXX (example: 12-3456789). For non-US taxIdCountry it is validated as a generic string up to 25 characters. Not required for create, but required for launch.
      - `addressLine` (string, required)
        Street address line. Not required for create, but required for launch.
      - `addressCity` (string, required)
        City. Not required for create, but required for launch.
      - `addressCountry` (string, required)
        Country. Not required for create, but required for launch.
        Enum: same as `taxIdCountry` in "RcsUsPublicBrandCampaignSenderDetailsQuestionnaireUSAnswersInputDto" (24 values)
      - `addressPostalCode` (string, required)
        Postal code. Not required for create, but required for launch.
      - `websiteUrl` (string, required)
        Primary website URL. Not required for create, but required for launch.
      - `contactFirstName` (string, required)
        First name of the responsible contact person. Not required for create, but required for launch.
      - `contactSurname` (string, required)
        Surname of the responsible contact person. Not required for create, but required for launch.
      - `sampleMessages` (array, required)
        Sample messages for each use case or message type sent by the brand. Not required for create, but required for launch.
      - `messagesVolume` (number, required)
        Messages volume. Not required for create, but required for launch.
      - `embeddedLink` (boolean, required)
        Flag indicating if URL links will be embedded within message payloads. Not required for create, but required for launch.
      - `embeddedPhone` (boolean, required)
        Flag indicating if phone numbers will be embedded within message payloads. Not required for create, but required for launch.
      - `ageGatedContent` (boolean, required)
        Indicates if the campaign content is restricted by age (e.g., alcohol, tobacco). Not required for create, but required for launch.
      - `directLending` (boolean, required)
        Indicates if the campaign involves direct financial lending, requiring stricter compliance. Not required for create, but required for launch.
      - `optInConfirmationMessage` (string, required)
        Opt-in confirmation message sent to users. Not required for create, but required for launch.
      - `helpMessage` (string, required)
        Help message of the campaign. Not required for create, but required for launch.
      - `callToActionMessage` (string, required)
        Call to action message of the campaign. Not required for create, but required for launch.
      - `addressState` (string, required)
        State (US only). Validated when taxIdCountry=US and ignored for non-US taxIdCountry.
        Enum: same as `addressState` in "RcsUsPublicBrandCampaignSenderDetailsQuestionnaireUSAnswersInputDto" (56 values)
    - RcsNonUsPublicBrandCampaignSenderDetailsQuestionnaireUSAnswersInputDto:
      - `ownershipType` (string, required)
        Ownership type of the company. Not required for create, but required for launch.
        Enum: same as `ownershipType` in "RcsUsPublicBrandCampaignSenderDetailsQuestionnaireUSAnswersInputDto" (2 values)
      - `companyLegalName` (string, required)
        The registered legal name of the company. Not required for create, but required for launch.
      - `companyPhoneNumber` (string, required)
        The registered phone number of the company. Not required for create, but required for launch.
      - `brandName` (string, required)
        Brand name or Doing Business As (DBA). Must be legally associated with the provided legal company name. Not required for create, but required for launch.
      - `brandIndustry` (string, required)
        Sector or industry of business. Not required for create, but required for launch.
        Enum: same as `brandIndustry` in "RcsUsPublicBrandCampaignSenderDetailsQuestionnaireUSAnswersInputDto" (23 values)
      - `legalForm` (string, required)
        Legal form of the company. For ownershipType=PUBLIC only CORPORATION is allowed. For ownershipType=PRIVATE allowed values are LIMITED_LIABILITY_COMPANY, PARTNERSHIP, and S_CORPORATION. Not required for create, but required for launch.
        Enum: same as `legalForm` in "RcsUsPublicBrandCampaignSenderDetailsQuestionnaireUSAnswersInputDto" (4 values)
      - `taxIdCountry` (string, required)
        Country of the company's tax registration. This value controls conditional validation for taxId and addressState. Not required for create, but required for launch.
        Enum: same as `taxIdCountry` in "RcsUsPublicBrandCampaignSenderDetailsQuestionnaireUSAnswersInputDto" (24 values)
      - `taxId` (string, required)
        Tax registration identifier associated with the provided legal company name. For US taxIdCountry it must follow format XX-XXXXXXX (example: 12-3456789). For non-US taxIdCountry it is validated as a generic string up to 25 characters. Not required for create, but required for launch.
      - `addressLine` (string, required)
        Street address line. Not required for create, but required for launch.
      - `addressCity` (string, required)
        City. Not required for create, but required for launch.
      - `addressCountry` (string, required)
        Country. Not required for create, but required for launch.
        Enum: same as `taxIdCountry` in "RcsUsPublicBrandCampaignSenderDetailsQuestionnaireUSAnswersInputDto" (24 values)
      - `addressPostalCode` (string, required)
        Postal code. Not required for create, but required for launch.
      - `websiteUrl` (string, required)
        Primary website URL. Not required for create, but required for launch.
      - `contactFirstName` (string, required)
        First name of the responsible contact person. Not required for create, but required for launch.
      - `contactSurname` (string, required)
        Surname of the responsible contact person. Not required for create, but required for launch.
      - `sampleMessages` (array, required)
        Sample messages for each use case or message type sent by the brand. Not required for create, but required for launch.
      - `messagesVolume` (number, required)
        Messages volume. Not required for create, but required for launch.
      - `embeddedLink` (boolean, required)
        Flag indicating if URL links will be embedded within message payloads. Not required for create, but required for launch.
      - `embeddedPhone` (boolean, required)
        Flag indicating if phone numbers will be embedded within message payloads. Not required for create, but required for launch.
      - `ageGatedContent` (boolean, required)
        Indicates if the campaign content is restricted by age (e.g., alcohol, tobacco). Not required for create, but required for launch.
      - `directLending` (boolean, required)
        Indicates if the campaign involves direct financial lending, requiring stricter compliance. Not required for create, but required for launch.
      - `optInConfirmationMessage` (string, required)
        Opt-in confirmation message sent to users. Not required for create, but required for launch.
      - `helpMessage` (string, required)
        Help message of the campaign. Not required for create, but required for launch.
      - `callToActionMessage` (string, required)
        Call to action message of the campaign. Not required for create, but required for launch.
      - `stockExchange` (string, required)
        Primary home country stock exchange abbreviation. Validated when ownershipType=PUBLIC.
      - `stockSymbol` (string, required)
        Primary home country stock symbol associated with stock exchange. Validated when ownershipType=PUBLIC.
    - RcsNonUsPrivateBrandCampaignSenderDetailsQuestionnaireUSAnswersInputDto:
      - `ownershipType` (string, required)
        Ownership type of the company. Not required for create, but required for launch.
        Enum: same as `ownershipType` in "RcsUsPublicBrandCampaignSenderDetailsQuestionnaireUSAnswersInputDto" (2 values)
      - `companyLegalName` (string, required)
        The registered legal name of the company. Not required for create, but required for launch.
      - `companyPhoneNumber` (string, required)
        The registered phone number of the company. Not required for create, but required for launch.
      - `brandName` (string, required)
        Brand name or Doing Business As (DBA). Must be legally associated with the provided legal company name. Not required for create, but required for launch.
      - `brandIndustry` (string, required)
        Sector or industry of business. Not required for create, but required for launch.
        Enum: same as `brandIndustry` in "RcsUsPublicBrandCampaignSenderDetailsQuestionnaireUSAnswersInputDto" (23 values)
      - `legalForm` (string, required)
        Legal form of the company. For ownershipType=PUBLIC only CORPORATION is allowed. For ownershipType=PRIVATE allowed values are LIMITED_LIABILITY_COMPANY, PARTNERSHIP, and S_CORPORATION. Not required for create, but required for launch.
        Enum: same as `legalForm` in "RcsUsPublicBrandCampaignSenderDetailsQuestionnaireUSAnswersInputDto" (4 values)
      - `taxIdCountry` (string, required)
        Country of the company's tax registration. This value controls conditional validation for taxId and addressState. Not required for create, but required for launch.
        Enum: same as `taxIdCountry` in "RcsUsPublicBrandCampaignSenderDetailsQuestionnaireUSAnswersInputDto" (24 values)
      - `taxId` (string, required)
        Tax registration identifier associated with the provided legal company name. For US taxIdCountry it must follow format XX-XXXXXXX (example: 12-3456789). For non-US taxIdCountry it is validated as a generic string up to 25 characters. Not required for create, but required for launch.
      - `addressLine` (string, required)
        Street address line. Not required for create, but required for launch.
      - `addressCity` (string, required)
        City. Not required for create, but required for launch.
      - `addressCountry` (string, required)
        Country. Not required for create, but required for launch.
        Enum: same as `taxIdCountry` in "RcsUsPublicBrandCampaignSenderDetailsQuestionnaireUSAnswersInputDto" (24 values)
      - `addressPostalCode` (string, required)
        Postal code. Not required for create, but required for launch.
      - `websiteUrl` (string, required)
        Primary website URL. Not required for create, but required for launch.
      - `contactFirstName` (string, required)
        First name of the responsible contact person. Not required for create, but required for launch.
      - `contactSurname` (string, required)
        Surname of the responsible contact person. Not required for create, but required for launch.
      - `sampleMessages` (array, required)
        Sample messages for each use case or message type sent by the brand. Not required for create, but required for launch.
      - `messagesVolume` (number, required)
        Messages volume. Not required for create, but required for launch.
      - `embeddedLink` (boolean, required)
        Flag indicating if URL links will be embedded within message payloads. Not required for create, but required for launch.
      - `embeddedPhone` (boolean, required)
        Flag indicating if phone numbers will be embedded within message payloads. Not required for create, but required for launch.
      - `ageGatedContent` (boolean, required)
        Indicates if the campaign content is restricted by age (e.g., alcohol, tobacco). Not required for create, but required for launch.
      - `directLending` (boolean, required)
        Indicates if the campaign involves direct financial lending, requiring stricter compliance. Not required for create, but required for launch.
      - `optInConfirmationMessage` (string, required)
        Opt-in confirmation message sent to users. Not required for create, but required for launch.
      - `helpMessage` (string, required)
        Help message of the campaign. Not required for create, but required for launch.
      - `callToActionMessage` (string, required)
        Call to action message of the campaign. Not required for create, but required for launch.
    - RcsSenderDetailsQuestionnaireUSAnswersInputDto:
      - `companyLegalName` (string)
        The registered legal name of the company. Not required for create, but required for launch.
      - `ein` (string)
        For US companies: Employer Identification Number (EIN). Must be a nine-digit number assigned by the IRS, following format: XX-XXXXXXX.
      - `brandIndustry` (string)
        Sector or industry of business. Not required for create, but required for launch.
      - `fullCompanyAddress` (string)
        Full company address.
      - `fullCompanyAddressMetadata` (object)
        Metadata for specified answer.
      - `fullCompanyAddressMetadata.ignore` (string)
        Ignore given string on launch, e.g. custom delimiter.
      - `smsCampaign` (string)
        US SMS campaign used as fallback.
      - `messagesVolume` (string)
        Messages volume. Not required for create, but required for launch.

## Response 201 fields (application/json):

  - `id` (string, required)
    The unique ID of the sender.

  - `region` (string, required)
    Region sender is provisioned in.
    Enum: same as `region` (3 values)

  - `billingCategory` (string, required)
    Billing category.
Note:
The  billing framework distinguishes between two primary categories: non-conversational and conversational.
The non-conversational category includes SINGLE_MESSAGE and BASIC_MESSAGE types which are considered functionally equivalent in the current revision.
The conversational category includes CONVERSATIONAL and CONVERSATIONAL_LEGACY types. Values BASIC_MESSAGE, SINGLE_MESSAGE and CONVERSATIONAL_LEGACY are deprecated and will be removed in a future version.
- CONVERSATIONAL: Designed for longer, more complex sessions where the user and brand exchange a series of messages.
- NON_CONVERSATIONAL: Represents a non-conversational billing category, which replaces the legacy SINGLE_MESSAGE and BASIC_MESSAGE categories. This is for agents that primarily engage in one-way (A2P) communication.
- BASIC_MESSAGE: Billing model is similar to SMS. Deprecated value, use NON_CONVERSATIONAL instead.
- CONVERSATIONAL_LEGACY: Legacy category to support the billing configuration of existing agents.  Deprecated value, use CONVERSATIONAL instead.
- SINGLE_MESSAGE: Replaces SMS with a richer messaging experience. Deprecated value, use NON_CONVERSATIONAL instead.
    Enum: same as `billingCategory` (5 values)

  - `useCase` (string, required)
    Use case.
    Enum: same as `useCase` (4 values)

  - `hostingRegion` (string, required)
    Internal Google hosting region
    Enum: "ASIA_PACIFIC", "EUROPE", "NORTH_AMERICA"

  - `conversationApiAppDetails` (object)
    If set, the details of the Conversation API App the sender is connected to.

  - `conversationApiAppDetails.id` (string, required)
    ID of the app

  - `conversationApiAppDetails.projectId` (string, required)
    ID of the app project

  - `conversationApiAppDetails.region` (string, required)
    App region.
    Enum: "BR", "EU", "US", "UNRECOGNIZED"

  - `conversationApiAppDetails.channelStatus` (string)
    Status of the channel credentials integration.
    Enum: "ACTIVE", "FAILING", "PENDING", "UNRECOGNIZED"

  - `state` (string)
    The current state of the sender.
    Enum: "DRAFT", "IN_PROGRESS", "IN_TEST", "LAUNCHED", "LAUNCHING", "PREPARING_LAUNCH", "UNLAUNCHED", "UNKNOWN"

  - `testNumberStates` (array)
    Test phone numbers states.

  - `testNumberStates.number` (string, required)
    Test phone number.

  - `testNumberStates.state` (string, required)
    Test phone state.
    Enum: "DECLINED", "INVALID", "PENDING", "REJECTED", "UNVERIFIED", "VERIFIED", "UNRECOGNIZED"

  - `testNumberStates.submitted` (string, required)
    Date of submitting phone number.

  - `countryStatus` (array)
    Countries status.

  - `countryStatus.country` (string, required)
    Two-letter country code in ISO 3166 standard.
    Enum: "AD", "AE", "AF", "AG", "AI", "AL", "AM", "AO", "AQ", "AR", "AS", "AT", "AU", "AW", "AZ", "BA", "BB", "BD", "BE", "BF", "BG", "BH", "BI", "BJ", "BM", "BN", "BO", "BQ", "BR", "BS", "BT", "BW", "BY", "BZ", "CA", "CD", "CF", "CG", "CH", "CI", "CK", "CL", "CM", "CN", "CO", "CR", "CU", "CV", "CW", "CY", "CZ", "DE", "DJ", "DK", "DM", "DO", "DZ", "EC", "EE", "EG", "ER", "ES", "ET", "FI", "FJ", "FK", "FM", "FO", "FR", "GA", "GB", "GD", "GE", "GF", "GG", "GH", "GI", "GL", "GM", "GN", "GP", "GQ", "GR", "GT", "GU", "GW", "GY", "HK", "HN", "HR", "HT", "HU", "ID", "IE", "IL", "IM", "IN", "IO", "IQ", "IR", "IS", "IT", "JE", "JM", "JO", "JP", "KE", "KG", "KH", "KI", "KM", "KN", "KP", "KR", "KW", "KY", "KZ", "LA", "LB", "LC", "LI", "LK", "LR", "LS", "LT", "LU", "LV", "LY", "MA", "MC", "MD", "ME", "MG", "MH", "MK", "ML", "MM", "MN", "MO", "MP", "MQ", "MR", "MS", "MT", "MU", "MV", "MW", "MX", "MY", "MZ", "NA", "NC", "NE", "NF", "NG", "NI", "NL", "NO", "NP", "NR", "NU", "NZ", "OM", "PA", "PE", "PF", "PG", "PH", "PK", "PL", "PM", "PR", "PS", "PT", "PW", "PY", "QA", "RE", "RO", "RS", "RU", "RW", "SA", "SB", "SC", "SD", "SE", "SG", "SH", "SI", "SK", "SL", "SM", "SN", "SO", "SR", "SS", "ST", "SV", "SX", "SY", "SZ", "TC", "TD", "TG", "TH", "TJ", "TK", "TL", "TM", "TN", "TO", "TR", "TT", "TV", "TW", "TZ", "UA", "UG", "UM", "US", "UY", "UZ", "VC", "VE", "VG", "VI", "VN", "VU", "WF", "WS", "XK", "YE", "YT", "ZA", "ZM", "ZW", "UNRECOGNIZED"

  - `countryStatus.status` (string, required)
    Country status.
    Enum: "LAUNCHED", "NOT_LAUNCHED", "PENDING", "PENDING_UNLAUNCHED", "REJECTED", "SUSPENDED", "UNLAUNCHED", "INVALID_IN_GOOGLE_MY_BUSINESS", "UNRECOGNIZED"

  - `countryStatus.operators` (array, required)
    Mobile network operators.

  - `countryStatus.operators.name` (string, required)
    Operator name.

  - `countryStatus.operators.status` (string, required)
    Operator status.
    Enum: same as `countryStatus.status` (9 values)

  - `countryStatus.operators.remark` (string)
    Any comments or notes to the current state.

  - `countryStatus.operators.modified` (string)
    Last date the operator changed state.

  - `details` (object)
    Sender details and information.

  - `details.questionnaire` (object, required)
    Launch questionnaire.

  The launch questionnaire is based on information required by different Suppliers and Operators. As such, especially the country specific, may be subject to change.

  - `details.questionnaire.general` (object, required)
    General launch questions

  - `details.questionnaire.general.questions` (object, required)
    Launch questions

  - `details.questionnaire.general.questions.optInDescription` (object, required)
    How you obtain opt-in to message users.

  - `details.questionnaire.general.questions.optInDescription.question` (string, required)
    Human readable question.

  - `details.questionnaire.general.questions.optInDescription.suggestedAnswers` (array, required)
    Suggested answers to the question.

  - `details.questionnaire.general.questions.triggerDescription` (object, required)
    Actions that triggers messages to users.

  - `details.questionnaire.general.questions.triggerDescription.question` (string, required)
    Human readable question.

  - `details.questionnaire.general.questions.triggerDescription.suggestedAnswers` (array, required)
    Suggested answers to the question.

  - `details.questionnaire.general.questions.interactionsDescription` (object, required)
    Interactions with users.

  - `details.questionnaire.general.questions.interactionsDescription.question` (string, required)
    Human readable question.

  - `details.questionnaire.general.questions.interactionsDescription.suggestedAnswers` (array, required)
    Suggested answers to the question.

  - `details.questionnaire.general.questions.optOutDescription` (object, required)
    The message the sender sends when a user opts out.

  - `details.questionnaire.general.questions.optOutDescription.question` (string, required)
    Human readable question.

  - `details.questionnaire.general.questions.optOutDescription.suggestedAnswers` (array, required)
    Suggested answers to the question.

  - `details.questionnaire.general.questions.videoUris` (object, required)
    Publicly available URIs for videos of the sender, for review purposes only.

  - `details.questionnaire.general.questions.videoUris.question` (string, required)
    Human readable question.

  - `details.questionnaire.general.questions.videoUris.suggestedAnswers` (array, required)
    Suggested answers to the question.

  - `details.questionnaire.general.questions.screenshotUris` (object, required)
    Publicly available URIs for screenshots of the sender, for review purposes only.

  - `details.questionnaire.general.questions.screenshotUris.question` (string, required)
    Human readable question.

  - `details.questionnaire.general.questions.screenshotUris.suggestedAnswers` (array, required)
    Suggested answers to the question.

  - `details.questionnaire.general.answers` (object, required)
    Launch answers

  - `details.questionnaire.general.answers.optInDescription` (string)
    How you obtain opt-in to message users.

  - `details.questionnaire.general.answers.optInDescriptionMetadata` (object)
    Metadata for specified answer.

  - `details.questionnaire.general.answers.optInDescriptionMetadata.ignore` (string)
    Ignore given string on launch, e.g. custom delimiter.

  - `details.questionnaire.general.answers.triggerDescription` (string)
    Actions that triggers messages to users.

  - `details.questionnaire.general.answers.triggerDescriptionMetadata` (object)
    Metadata for specified answer.

  - `details.questionnaire.general.answers.triggerDescriptionMetadata.ignore` (string)
    Ignore given string on launch, e.g. custom delimiter.

  - `details.questionnaire.general.answers.interactionsDescription` (string)
    Interactions with users.

  - `details.questionnaire.general.answers.interactionsDescriptionMetadata` (object)
    Metadata for specified answer.

  - `details.questionnaire.general.answers.interactionsDescriptionMetadata.ignore` (string)
    Ignore given string on launch, e.g. custom delimiter.

  - `details.questionnaire.general.answers.optOutDescription` (string)
    The message the sender sends when a user opts out.

  - `details.questionnaire.general.answers.optOutDescriptionMetadata` (object)
    Metadata for specified answer.

  - `details.questionnaire.general.answers.optOutDescriptionMetadata.ignore` (string)
    Ignore given string on launch, e.g. custom delimiter.

  - `details.questionnaire.general.answers.videoUris` (array)
    Publicly available URIs for videos of the sender, for review purposes only.

  - `details.questionnaire.general.answers.screenshotUris` (array)
    Publicly available URIs for screenshots of the sender, for review purposes only.

  - `details.questionnaire.verification` (object, required)
    Verification questions.

  - `details.questionnaire.verification.questions` (object, required)
    Verification questions.

  - `details.questionnaire.verification.questions.name` (object, required)
    Name of verification contact.

  - `details.questionnaire.verification.questions.name.question` (string, required)
    Human readable question.

  - `details.questionnaire.verification.questions.name.suggestedAnswers` (array, required)
    Suggested answers to the question.

  - `details.questionnaire.verification.questions.email` (object, required)
    Email of verification contact.

  - `details.questionnaire.verification.questions.email.question` (string, required)
    Human readable question.

  - `details.questionnaire.verification.questions.email.suggestedAnswers` (array, required)
    Suggested answers to the question.

  - `details.questionnaire.verification.questions.title` (object, required)
    Title of verification contact.

  - `details.questionnaire.verification.questions.title.question` (string, required)
    Human readable question.

  - `details.questionnaire.verification.questions.title.suggestedAnswers` (array, required)
    Suggested answers to the question.

  - `details.questionnaire.verification.questions.website` (object, required)
    Website of verification contact.

  - `details.questionnaire.verification.questions.website.question` (string, required)
    Human readable question.

  - `details.questionnaire.verification.questions.website.suggestedAnswers` (array, required)
    Suggested answers to the question.

  - `details.questionnaire.verification.questions.phone` (object, required)
    Phone number of verification contact.

  - `details.questionnaire.verification.questions.phone.question` (string, required)
    Human readable question.

  - `details.questionnaire.verification.questions.phone.suggestedAnswers` (array, required)
    Suggested answers to the question.

  - `details.questionnaire.verification.answers` (object, required)
    Verification answers.

  - `details.questionnaire.verification.answers.name` (string)
    Name of verification contact.

  - `details.questionnaire.verification.answers.email` (string)
    Email of verification contact.

  - `details.questionnaire.verification.answers.title` (string)
    Title of verification contact.

  - `details.questionnaire.verification.answers.website` (string)
    Website of verification contact.

  - `details.questionnaire.verification.answers.phone` (string)
    Phone number of verification contact.

  - `details.questionnaire.gb` (object)
    Launch questions specific for UK.

  - `details.questionnaire.gb.questions` (object, required)
    Launch questions specific for UK.

  - `details.questionnaire.gb.questions.brandIndustry` (object, required)
    Sector or industry of business. Not required for create, but required for launch.

  - `details.questionnaire.gb.questions.brandIndustry.question` (string, required)
    Human readable question.

  - `details.questionnaire.gb.questions.brandIndustry.suggestedAnswers` (array, required)
    Suggested answers to the question.

  - `details.questionnaire.gb.questions.companyLegalName` (object, required)
    The registered legal name of the company. Not required for create, but required for launch.

  - `details.questionnaire.gb.questions.companyLegalName.question` (string, required)
    Human readable question.

  - `details.questionnaire.gb.questions.companyLegalName.suggestedAnswers` (array, required)
    Suggested answers to the question.

  - `details.questionnaire.gb.questions.companyRegistrationNumber` (object, required)
    The company registration number.

  - `details.questionnaire.gb.questions.companyRegistrationNumber.question` (string, required)
    Human readable question.

  - `details.questionnaire.gb.questions.companyRegistrationNumber.suggestedAnswers` (array, required)
    Suggested answers to the question.

  - `details.questionnaire.gb.questions.fullCompanyAddress` (object, required)
    Full company address.

  - `details.questionnaire.gb.questions.fullCompanyAddress.question` (string, required)
    Human readable question.

  - `details.questionnaire.gb.questions.fullCompanyAddress.suggestedAnswers` (array, required)
    Suggested answers to the question.

  - `details.questionnaire.gb.questions.messagesVolume` (object, required)
    Messages volume. Not required for create, but required for launch.

  - `details.questionnaire.gb.questions.messagesVolume.question` (string, required)
    Human readable question.

  - `details.questionnaire.gb.questions.messagesVolume.suggestedAnswers` (array, required)
    Suggested answers to the question.

  - `details.questionnaire.gb.questions.messagesFrequency` (object, required)
    Messages frequency.

  - `details.questionnaire.gb.questions.messagesFrequency.question` (string, required)
    Human readable question.

  - `details.questionnaire.gb.questions.messagesFrequency.suggestedAnswers` (array, required)
    Suggested answers to the question.

  - `details.questionnaire.gb.questions.campaignLength` (object, required)
    Length of campaign.

  - `details.questionnaire.gb.questions.campaignLength.question` (string, required)
    Human readable question.

  - `details.questionnaire.gb.questions.campaignLength.suggestedAnswers` (array, required)
    Suggested answers to the question.

  - `details.questionnaire.gb.answers` (object, required)
    Launch answers specific for UK.

  - `details.questionnaire.gb.answers.brandIndustry` (string)
    Sector or industry of business. Not required for create, but required for launch.

  - `details.questionnaire.gb.answers.companyLegalName` (string)
    The registered legal name of the company. Not required for create, but required for launch.

  - `details.questionnaire.gb.answers.companyRegistrationNumber` (string)
    The company registration number.

  - `details.questionnaire.gb.answers.fullCompanyAddress` (string)
    Full company address.

  - `details.questionnaire.gb.answers.fullCompanyAddressMetadata` (object)
    Metadata for specified answer.

  - `details.questionnaire.gb.answers.fullCompanyAddressMetadata.ignore` (string)
    Ignore given string on launch, e.g. custom delimiter.

  - `details.questionnaire.gb.answers.messagesVolume` (string)
    Messages volume. Not required for create, but required for launch.

  - `details.questionnaire.gb.answers.messagesFrequency` (string)
    Messages frequency.

  - `details.questionnaire.gb.answers.campaignLength` (string)
    Length of campaign.

  - `details.questionnaire.fr` (object)
    Launch questions specific for France.

  - `details.questionnaire.fr.questions` (object, required)
    Launch questions specific for France.

  - `details.questionnaire.fr.questions.fullCompanyAddress` (object, required)
    Full company address.

  - `details.questionnaire.fr.questions.fullCompanyAddress.question` (string, required)
    Human readable question.

  - `details.questionnaire.fr.questions.fullCompanyAddress.suggestedAnswers` (array, required)
    Suggested answers to the question.

  - `details.questionnaire.fr.questions.siren` (object, required)
    Company directory identification system number.

  - `details.questionnaire.fr.questions.siren.question` (string, required)
    Human readable question.

  - `details.questionnaire.fr.questions.siren.suggestedAnswers` (array, required)
    Suggested answers to the question.

  - `details.questionnaire.fr.answers` (object, required)
    Launch answers specific for France.

  - `details.questionnaire.fr.answers.fullCompanyAddress` (string)
    Full company address.

  - `details.questionnaire.fr.answers.fullCompanyAddressMetadata` (object)
    Metadata for specified answer.

  - `details.questionnaire.fr.answers.fullCompanyAddressMetadata.ignore` (string)
    Ignore given string on launch, e.g. custom delimiter.

  - `details.questionnaire.fr.answers.siren` (string)
    Company directory identification system number.

  - `details.questionnaire.us` (array) — one of:
    Launch questions specific for US.
    - RcsBrandCampaignSenderDetailsQuestionnaireUSDto:
      - `questions` (object, required)
        Launch questions specific for US.
      - `questions.companyLegalName` (object, required)
        The registered legal name of the company. Not required for create, but required for launch.
      - `questions.companyLegalName.question` (string, required)
        Human readable question.
      - `questions.companyLegalName.suggestedAnswers` (array, required)
        Suggested answers to the question.
      - `questions.companyPhoneNumber` (object, required)
        The registered phone number of the company. Not required for create, but required for launch.
      - `questions.companyPhoneNumber.question` (string, required)
        Human readable question.
      - `questions.companyPhoneNumber.suggestedAnswers` (array, required)
        Suggested answers to the question.
      - `questions.brandName` (object, required)
        Brand name or Doing Business As (DBA). Must be legally associated with the provided legal company name. Not required for create, but required for launch.
      - `questions.brandName.question` (string, required)
        Human readable question.
      - `questions.brandName.suggestedAnswers` (array, required)
        Suggested answers to the question.
      - `questions.brandIndustry` (object, required)
        Sector or industry of business. Not required for create, but required for launch.
      - `questions.brandIndustry.question` (string, required)
        Human readable question.
      - `questions.brandIndustry.suggestedAnswers` (array, required)
        Suggested answers to the question.
      - `questions.legalForm` (object, required)
        Legal form of the company.
      - `questions.legalForm.question` (string, required)
        Human readable question.
      - `questions.legalForm.suggestedAnswers` (array, required)
        Suggested answers to the question.
      - `questions.taxIdCountry` (object, required)
        Country of the company's tax registration.
      - `questions.taxIdCountry.question` (string, required)
        Human readable question.
      - `questions.taxIdCountry.suggestedAnswers` (array, required)
        Suggested answers to the question.
      - `questions.taxId` (object, required)
        Tax registration identifier associated with the provided legal company name.
      - `questions.taxId.question` (string, required)
        Human readable question.
      - `questions.taxId.suggestedAnswers` (array, required)
        Suggested answers to the question.
      - `questions.addressLine` (object, required)
        Street address line. Not required for create, but required for launch.
      - `questions.addressLine.question` (string, required)
        Human readable question.
      - `questions.addressLine.suggestedAnswers` (array, required)
        Suggested answers to the question.
      - `questions.addressCity` (object, required)
        City. Not required for create, but required for launch.
      - `questions.addressCity.question` (string, required)
        Human readable question.
      - `questions.addressCity.suggestedAnswers` (array, required)
        Suggested answers to the question.
      - `questions.addressCountry` (object, required)
        Country. Not required for create, but required for launch.
      - `questions.addressCountry.question` (string, required)
        Human readable question.
      - `questions.addressCountry.suggestedAnswers` (array, required)
        Suggested answers to the question.
      - `questions.addressState` (object, required)
        State (US only). Not required for create, but required for launch.
      - `questions.addressState.question` (string, required)
        Human readable question.
      - `questions.addressState.suggestedAnswers` (array, required)
        Suggested answers to the question.
      - `questions.addressPostalCode` (object, required)
        Postal code. Not required for create, but required for launch.
      - `questions.addressPostalCode.question` (string, required)
        Human readable question.
      - `questions.addressPostalCode.suggestedAnswers` (array, required)
        Suggested answers to the question.
      - `questions.websiteUrl` (object, required)
        Primary website URL. Not required for create, but required for launch.
      - `questions.websiteUrl.question` (string, required)
        Human readable question.
      - `questions.websiteUrl.suggestedAnswers` (array, required)
        Suggested answers to the question.
      - `questions.contactFirstName` (object, required)
        First name of the responsible contact person. Not required for create, but required for launch.
      - `questions.contactFirstName.question` (string, required)
        Human readable question.
      - `questions.contactFirstName.suggestedAnswers` (array, required)
        Suggested answers to the question.
      - `questions.contactSurname` (object, required)
        Surname of the responsible contact person. Not required for create, but required for launch.
      - `questions.contactSurname.question` (string, required)
        Human readable question.
      - `questions.contactSurname.suggestedAnswers` (array, required)
        Suggested answers to the question.
      - `questions.stockExchange` (object, required)
        Primary home country stock exchange abbreviation. Not required for create, but required for launch.
      - `questions.stockExchange.question` (string, required)
        Human readable question.
      - `questions.stockExchange.suggestedAnswers` (array, required)
        Suggested answers to the question.
      - `questions.stockSymbol` (object, required)
        Primary home country stock symbol associated with stock exchange. Not required for create, but required for launch.
      - `questions.stockSymbol.question` (string, required)
        Human readable question.
      - `questions.stockSymbol.suggestedAnswers` (array, required)
        Suggested answers to the question.
      - `questions.sampleMessages` (object, required)
        Sample messages for each use case or message type sent by the brand. Not required for create, but required for launch.
      - `questions.sampleMessages.question` (string, required)
        Human readable question.
      - `questions.sampleMessages.suggestedAnswers` (array, required)
        Suggested answers to the question.
      - `questions.messagesVolume` (object, required)
        Messages volume. Not required for create, but required for launch.
      - `questions.messagesVolume.question` (string, required)
        Human readable question.
      - `questions.messagesVolume.suggestedAnswers` (array, required)
        Suggested answers to the question.
      - `questions.embeddedLink` (object, required)
        Flag indicating if URL links will be embedded within message payloads. Not required for create, but required for launch.
      - `questions.embeddedLink.question` (string, required)
        Human readable question.
      - `questions.embeddedLink.suggestedAnswers` (array, required)
        Suggested answers to the question.
      - `questions.embeddedPhone` (object, required)
        Flag indicating if phone numbers will be embedded within message payloads. Not required for create, but required for launch.
      - `questions.embeddedPhone.question` (string, required)
        Human readable question.
      - `questions.embeddedPhone.suggestedAnswers` (array, required)
        Suggested answers to the question.
      - `questions.ageGatedContent` (object, required)
        Indicates if the campaign content is restricted by age (e.g., alcohol, tobacco). Not required for create, but required for launch.
      - `questions.ageGatedContent.question` (string, required)
        Human readable question.
      - `questions.ageGatedContent.suggestedAnswers` (array, required)
        Suggested answers to the question.
      - `questions.directLending` (object, required)
        Indicates if the campaign involves direct financial lending, requiring stricter compliance. Not required for create, but required for launch.
      - `questions.directLending.question` (string, required)
        Human readable question.
      - `questions.directLending.suggestedAnswers` (array, required)
        Suggested answers to the question.
      - `questions.optInConfirmationMessage` (object, required)
        Opt-in confirmation message sent to users. Not required for create, but required for launch.
      - `questions.optInConfirmationMessage.question` (string, required)
        Human readable question.
      - `questions.optInConfirmationMessage.suggestedAnswers` (array, required)
        Suggested answers to the question.
      - `questions.helpMessage` (object, required)
        Help message of the campaign. Not required for create, but required for launch.
      - `questions.helpMessage.question` (string, required)
        Human readable question.
      - `questions.helpMessage.suggestedAnswers` (array, required)
        Suggested answers to the question.
      - `questions.callToActionMessage` (object, required)
        Call to action message of the campaign. Not required for create, but required for launch.
      - `questions.callToActionMessage.question` (string, required)
        Human readable question.
      - `questions.callToActionMessage.suggestedAnswers` (array, required)
        Suggested answers to the question.
      - `answers` (object, required)
        Launch answers specific for US.
      - `answers.ownershipType` (string)
        Ownership type of the company. Not required for create, but required for launch.
        Enum: same as `ownershipType` in "RcsUsPublicBrandCampaignSenderDetailsQuestionnaireUSAnswersInputDto" (2 values)
      - `answers.companyLegalName` (string)
        The registered legal name of the company. Not required for create, but required for launch.
      - `answers.companyPhoneNumber` (string)
        The registered phone number of the company. Not required for create, but required for launch.
      - `answers.brandName` (string)
        Brand name or Doing Business As (DBA). Must be legally associated with the provided legal company name. Not required for create, but required for launch.
      - `answers.brandIndustry` (string)
        Sector or industry of business. Not required for create, but required for launch.
        Enum: same as `brandIndustry` in "RcsUsPublicBrandCampaignSenderDetailsQuestionnaireUSAnswersInputDto" (23 values)
      - `answers.legalForm` (string)
        Legal form of the company.
        Enum: same as `legalForm` in "RcsUsPublicBrandCampaignSenderDetailsQuestionnaireUSAnswersInputDto" (4 values)
      - `answers.taxIdCountry` (string)
        Country of the company's tax registration.
        Enum: same as `taxIdCountry` in "RcsUsPublicBrandCampaignSenderDetailsQuestionnaireUSAnswersInputDto" (24 values)
      - `answers.taxId` (string)
        Tax registration identifier associated with the provided legal company name.
      - `answers.addressLine` (string)
        Street address line. Not required for create, but required for launch.
      - `answers.addressCity` (string)
        City. Not required for create, but required for launch.
      - `answers.addressCountry` (string)
        Country. Not required for create, but required for launch.
        Enum: same as `taxIdCountry` in "RcsUsPublicBrandCampaignSenderDetailsQuestionnaireUSAnswersInputDto" (24 values)
      - `answers.addressState` (string)
        State (US only). Not required for create, but required for launch.
        Enum: same as `addressState` in "RcsUsPublicBrandCampaignSenderDetailsQuestionnaireUSAnswersInputDto" (56 values)
      - `answers.addressPostalCode` (string)
        Postal code. Not required for create, but required for launch.
      - `answers.websiteUrl` (string)
        Primary website URL. Not required for create, but required for launch.
      - `answers.contactFirstName` (string)
        First name of the responsible contact person. Not required for create, but required for launch.
      - `answers.contactSurname` (string)
        Surname of the responsible contact person. Not required for create, but required for launch.
      - `answers.stockExchange` (string)
        Primary home country stock exchange abbreviation. Not required for create, but required for launch.
      - `answers.stockSymbol` (string)
        Primary home country stock symbol associated with stock exchange. Not required for create, but required for launch.
      - `answers.sampleMessages` (array)
        Sample messages for each use case or message type sent by the brand. Not required for create, but required for launch.
      - `answers.messagesVolume` (number)
        Messages volume. Not required for create, but required for launch.
      - `answers.embeddedLink` (boolean)
        Flag indicating if URL links will be embedded within message payloads. Not required for create, but required for launch.
      - `answers.embeddedPhone` (boolean)
        Flag indicating if phone numbers will be embedded within message payloads. Not required for create, but required for launch.
      - `answers.ageGatedContent` (boolean)
        Indicates if the campaign content is restricted by age (e.g., alcohol, tobacco). Not required for create, but required for launch.
      - `answers.directLending` (boolean)
        Indicates if the campaign involves direct financial lending, requiring stricter compliance. Not required for create, but required for launch.
      - `answers.optInConfirmationMessage` (string)
        Opt-in confirmation message sent to users. Not required for create, but required for launch.
      - `answers.helpMessage` (string)
        Help message of the campaign. Not required for create, but required for launch.
      - `answers.callToActionMessage` (string)
        Call to action message of the campaign. Not required for create, but required for launch.
    - RcsSenderDetailsQuestionnaireUSDto:
      - `questions` (object, required)
        Launch questions specific for US.
      - `questions.companyLegalName` (object, required)
        The registered legal name of the company. Not required for create, but required for launch.
      - `questions.companyLegalName.question` (string, required)
        Human readable question.
      - `questions.companyLegalName.suggestedAnswers` (array, required)
        Suggested answers to the question.
      - `questions.ein` (object, required)
        Employer Identification Number (EIN).
      - `questions.ein.question` (string, required)
        Human readable question.
      - `questions.ein.suggestedAnswers` (array, required)
        Suggested answers to the question.
      - `questions.brandIndustry` (object, required)
        Sector or industry of business. Not required for create, but required for launch.
      - `questions.brandIndustry.question` (string, required)
        Human readable question.
      - `questions.brandIndustry.suggestedAnswers` (array, required)
        Suggested answers to the question.
      - `questions.fullCompanyAddress` (object, required)
        Full company address.
      - `questions.fullCompanyAddress.question` (string, required)
        Human readable question.
      - `questions.fullCompanyAddress.suggestedAnswers` (array, required)
        Suggested answers to the question.
      - `questions.smsCampaign` (object, required)
        US SMS campaign used as fallback.
      - `questions.smsCampaign.question` (string, required)
        Human readable question.
      - `questions.smsCampaign.suggestedAnswers` (array, required)
        Suggested answers to the question.
      - `questions.messagesVolume` (object, required)
        Messages volume. Not required for create, but required for launch.
      - `questions.messagesVolume.question` (string, required)
        Human readable question.
      - `questions.messagesVolume.suggestedAnswers` (array, required)
        Suggested answers to the question.
      - `answers` (object, required)
        Launch answers specific for US.
      - `answers.companyLegalName` (string)
        The registered legal name of the company. Not required for create, but required for launch.
      - `answers.ein` (string)
        Employer Identification Number (EIN).
      - `answers.brandIndustry` (string)
        Sector or industry of business. Not required for create, but required for launch.
      - `answers.fullCompanyAddress` (string)
        Full company address.
      - `answers.fullCompanyAddressMetadata` (object)
        Metadata for specified answer.
      - `answers.fullCompanyAddressMetadata.ignore` (string)
        Ignore given string on launch, e.g. custom delimiter.
      - `answers.smsCampaign` (string)
        US SMS campaign used as fallback.
      - `answers.messagesVolume` (string)
        Messages volume. Not required for create, but required for launch.

  - `details.brand` (object)
    Brand information.

  - `details.brand.name` (string)
    Brand name.

  - `details.brand.emails` (array)
    Contact emails.

  - `details.brand.emails.label` (string, required)
    Contact email label.

  - `details.brand.emails.address` (string, required)
    Contact email address.

  - `details.brand.phones` (array)
    Contact phone numbers.

  - `details.brand.phones.label` (string, required)
    Contact phone label.

  - `details.brand.phones.number` (string, required)
    Contact phone number. A phone number without country code and without separators, or a valid e.164 phone number.

  - `details.brand.websites` (array)
    Contact websites.

  - `details.brand.websites.label` (string, required)
    Contact website label.

  - `details.brand.websites.url` (string, required)
    Contact website address.

  - `details.brand.color` (string)
    Brand color (HEX code).

  - `details.brand.description` (string)
    Brand description.

  - `details.brand.bannerUrl` (string)
    Brand banner url.

  - `details.brand.logoUrl` (string)
    Brand logo url.

  - `details.brand.privacyPolicyUrl` (string)
    Privacy Policy URL.

  - `details.brand.termsOfServiceUrl` (string)
    Terms & Conditions URL.

  - `details.testNumbers` (array)
    Phone numbers for testing. An agent can send 20 tester requests each day with a total maximum of 200 tester requests.

  - `details.countries` (array)
    List of two-letter country codes in ISO 3166 standard, specifying the countries to launch RCS sender in.

  - `details.callbackUrl` (string)
    Use Webhooks instead for sender update events.

  - `authName` (string)
    The name is needed to connect the sender to a Conversation API App.

  - `authToken` (string)
    The token is needed to connect the sender to a Conversation API App.

  - `created` (string)
    The UTC Date Time in ISO 8601 for when the sender was created.

  - `modified` (string)
    The UTC Date Time in ISO 8601 for when the sender was last modified.

  - `supplierDetails` (object)
    Supplier details.

  - `supplierDetails.google` (object)
    Google supplier details.

  - `supplierDetails.google.agentId` (string)
    Google agent id.

  - `supplierDetails.google.brandId` (string)
    Google brand id.

  - `launched` (string)
    The UTC Date Time in ISO 8601 for when the sender was last launched.

  - `brandDetails` (object)
    Brand registration details.

  - `brandDetails.id` (string, required)
    Unique identifier for the brand registration.

  - `brandDetails.status` (string, required)
    Current status of the brand registration.
    Enum: "ARCHIVED", "COMPLETED", "DRAFT", "UNRECOGNIZED", "UNSPECIFIED"

  - `brandDetails.registration` (object, required)
    Details of the channel-specific registration process.

  - `brandDetails.registration.id` (string, required)
    Unique identifier for the brand registration process.

  - `brandDetails.registration.status` (string, required)
    Current status of the brand registration process.
    Enum: "ARCHIVED", "COMPLETED", "INCOMPLETE", "NEW", "PENDING", "PENDING_REVIEW", "REJECTED", "UNRECOGNIZED", "UNSPECIFIED"

  - `conversationApiApp` (string)
    If set, the Conversation API App ID the sender is connected to.

## Response 400 fields (application/json):

  - `body` (InvalidInputErrorTitle (object) or FileInvalidMimeTypeErrorTitle (object) or InvalidPayloadErrorTitle (object) or InvalidGoogleAgentErrorTitle (object) or AddTestNumberInvalidErrorTitle (object)) — one of:
    - InvalidInputErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "invalid_input"
      - `message` (string)
        Human readable message.
        Example: "Invalid input."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Correct the validation errors and submit again."
      - `additionalInformation` (object)
        Additional information for error.
        Example: {"validationErrors":["details.brand.email.address must be an email"]}
    - FileInvalidMimeTypeErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "file_invalid_mime_type"
      - `message` (string)
        Human readable message.
        Example: "details.brand.bannerUrl: invalid file mime type."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Try again with supported mime types: image/jpeg, image/png."
    - InvalidPayloadErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "invalid_payload"
      - `message` (string)
        Human readable message.
        Example: "Invalid payload."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Correct payload and submit again."
    - InvalidGoogleAgentErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "invalid_google_agent"
      - `message` (string)
        Human readable message.
        Example: "message"
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Verify the sender's fields."
    - AddTestNumberInvalidErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "add_test_number_invalid"
      - `message` (string)
        Human readable message.
        Example: "Invalid phone number."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Please verify that phone number is correct."

## Response 401 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: "unauthorized_error"

  - `message` (string)
    Human readable message.
    Example: "Unauthorized error."

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: "Verify that projectId is correct."

## Response 403 fields (application/json):

  - `body` (RbmHasNotBeenUsedErrorTitle (object) or RbmWebhookIncorrectSecretErrorTitle (object)) — one of:
    - RbmHasNotBeenUsedErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "rbm_has_not_been_used"
      - `message` (string)
        Human readable message.
        Example: "RBM has not been used."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Please wait and try again or reach out to support at si-richmessaging@sinch.com"
    - RbmWebhookIncorrectSecretErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "rbm_webhook_incorrect_secret"
      - `message` (string)
        Human readable message.
        Example: "RBM webhook has incorrect secret"
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Please wait and try again or reach out to support at si-richmessaging@sinch.com"

## Response 404 fields (application/json):

  - `body` (ProjectNotFoundErrorTitle (object) or RbmResourcesNotFoundErrorTitle (object)) — one of:
    - ProjectNotFoundErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "project_not_found"
      - `message` (string)
        Human readable message.
        Example: "Project not found."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Verify that the projectId is correct."
    - RbmResourcesNotFoundErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "rbm_resources_not_found"
      - `message` (string)
        Human readable message.
        Example: "RBM resources not found."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Verify that the parameters are correct, and contact support if error persists."

## Response 409 fields (application/json):

  - `body` (AccountDataIsCorruptErrorTitle (object) or FileNotFoundErrorTitle (object) or FileSizeTooLargeErrorTitle (object) or FileHasWrongDimensionsErrorTitle (object) or FileUnexpectedErrorErrorTitle (object)) — one of:
    - AccountDataIsCorruptErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "account_data_is_corrupt"
      - `message` (string)
        Human readable message.
        Example: "Account data is corrupt."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Please contact support."
    - FileNotFoundErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "file_not_found"
      - `message` (string)
        Human readable message.
        Example: "details.brand.logoUrl: file not found."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Verify that the url is correct."
    - FileSizeTooLargeErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "file_size_too_large"
      - `message` (string)
        Human readable message.
        Example: "details.brand.bannerUrl: file size is too large."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Try again with a smaller file. Max size for `image/jpeg` is 200KB."
    - FileHasWrongDimensionsErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "file_has_wrong_dimensions"
      - `message` (string)
        Human readable message.
        Example: "details.brand.logoUrl: image has wrong dimensions."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Try again with image dimensions: exact 224 x 224 px."
    - FileUnexpectedErrorErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "file_unexpected_error"
      - `message` (string)
        Human readable message.
        Example: "details.brand.logoUrl: file unexpected error."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "The file cannot be handled properly. Please try with another one."

## Response 429 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: "rbm_too_many_requests"

  - `message` (string)
    Human readable message.
    Example: "RCS Business Messaging too many requests."

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: "Please wait and try again."

## Response 500 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: "internal_error"

  - `message` (string)
    Human readable message.
    Example: "Internal server error."

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: "Please wait and try again, if the error persist please contact support."


